[GitHub](https://github.com/dune-mirrors/dune-fem)

```console
all (the default if no target is provided)
clean
depend
edit_cache
install
install/local
install/strip
list_install_components
rebuild_cache
test
Continuous
ContinuousBuild
ContinuousConfigure
ContinuousCoverage
ContinuousMemCheck
ContinuousStart
ContinuousSubmit
ContinuousTest
ContinuousUpdate
Experimental
ExperimentalBuild
ExperimentalConfigure
ExperimentalCoverage
ExperimentalMemCheck
ExperimentalStart
ExperimentalSubmit
ExperimentalTest
ExperimentalUpdate
Nightly
NightlyBuild
NightlyConfigure
NightlyCoverage
NightlyMemCheck
NightlyMemoryCheck
NightlyStart
NightlySubmit
NightlyTest
NightlyUpdate
OUTPUT
build_quick_tests
build_tests
clean_latex
doc
doxyfile
doxygen_dune-fem
doxygen_install
generate
headercheck
install_python
install_python__tmp_makepkg_dune-fem-git_src_dune-fem_python
target_dg_python
target_pybackrest1
target_pybackrest2
test_python
_fem
adapt
adaptation
agglomerationquadrature
backuprestore
cachingquadrature
dataoutputtest
dgcomm
dgcomm_cached
dgl2projection
dunefem
dynamicarray
elementquadrature
inverseoperatortest
l2projection_adaptive
l2projection_istl
l2projection_petsc
lagrangeadapt
lagrangeadapt_lfespace
lagrangeinterpolation_dynamic
mappingtest
newtontest
odetest
padapt
parameterdicttest
parametertest
persistencemanagertest
quad_tester
referencesolution
test-auxiliarydofs
test-hierarchicalfunction
test-hierarchicalfunction-comm
test-hierarchicall2projection
test-hybrid
test-intersectionindexset
test-periodic
test-spaceinterpolation-2d
test_cachingbasisfunctionset
test_defaultbasisfunctionset
test_df
test_filtered_df
test_generate
test_gplagrangeinterpolation
test_gridpart
test_lfa
test_matrices
test_optimizedcode
test_simplebasisfunctionset
test_streams
test_timeprovider
test_tuplebasisfunctionset
test_tuplediscretefunction
test_vectorialbasisfunctionset
unitrows
vtxprojection_adaptive
```

[](https://stackoverflow.com/questions/60227678/cmake-throws-error-during-generation-when-building-openpose-library)
